> ## Documentation Index
> Fetch the complete documentation index at: https://docs.smartcomply.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Rapport de crédit complet CRC

> Récupérez le rapport de crédit complet d'un individu auprès du bureau CRC, notamment l'historique de prêt, la performance et les demandes.

L'endpoint Rapport de crédit complet CRC renvoie un rapport de crédit complet auprès du bureau CRC, notamment l'historique détaillé des prêts, la performance de remboursement, les demandes de crédit et l'historique d'emploi.

## Endpoint

```
POST /api/onboarding/individual/crc_full/
```

## Requête

### En-têtes

| En-tête          | Valeur                | Requis |
| ---------------- | --------------------- | ------ |
| `x-access-token` | Votre clé secrète API | Oui    |
| `Content-Type`   | `application/json`    | Oui    |

### Paramètres de corps

| Paramètre | Type   | Requis | Description                                                     |
| --------- | ------ | ------ | --------------------------------------------------------------- |
| `bvn`     | string | Oui    | Le numéro d'identification bancaire à 11 chiffres de l'individu |

### Exemple

<CodeGroup>
  ```bash cURL theme={null}
  curl -X POST "https://adhere-api.smartcomply.com/api/onboarding/individual/crc_full/" \
    -H "x-access-token: YOUR_SECRET_KEY" \
    -H "Content-Type: application/json" \
    -d '{"bvn": "22244545518"}'
  ```
</CodeGroup>

## Réponse

### 200 OK

| Champ                             | Type   | Description                          |
| --------------------------------- | ------ | ------------------------------------ |
| `data.name`                       | string | Nom complet                          |
| `data.score.totalNoOfLoans`       | number | Prêts totaux au dossier              |
| `data.score.totalNoOfActiveLoans` | number | Prêts actuellement actifs            |
| `data.score.totalNoOfClosedLoans` | number | Prêts clôturés                       |
| `data.score.totalBorrowed`        | number | Montant total emprunté               |
| `data.score.totalOutstanding`     | number | Solde impayé total                   |
| `data.score.highestLoanAmount`    | number | Montant le plus élevé d'un seul prêt |
| `data.score.creditEnquiries`      | array  | Liste des demandes de crédit         |
| `data.score.loanPerformance`      | array  | Résumés de performance par prêteur   |
| `data.score.loanHistory`          | array  | Historique détaillé prêt par prêt    |
| `data.score.employmentHistory`    | array  | Enregistrements d'emploi au dossier  |

```json theme={null}
{
  "status": "success",
  "data": {
    "_id": "64f600608aaf9386c646de32",
    "bvn": "22244545518",
    "name": "ADELEKE EMMANUEL AYORINDE",
    "gender": "Male",
    "dateOfBirth": "29/12/1994",
    "score": {
      "totalNoOfDelinquentFacilities": 0,
      "lastReportedDate": "23/Nov/2023",
      "totalNoOfLoans": 29,
      "totalNoOfInstitutions": 6,
      "totalBorrowed": 4145267,
      "totalOutstanding": 1,
      "totalOverdue": 0,
      "totalNoOfPerformingLoans": 29,
      "totalNoOfClosedLoans": 27,
      "totalNoOfActiveLoans": 2,
      "highestLoanAmount": 1134330,
      "crcReportOrderNumber": "W-0097887830/2023",
      "creditEnquiries": [
        {"loanType": "Overdraft", "date": "12-Oct-2023", "institutionType": "Micro Lenders"}
      ],
      "loanPerformance": [
        {"loanProvider": "UNITED BANK FOR AFRICA", "loanAmount": "NGN 1,134,330", "status": "Open", "performanceStatus": "Performing"}
      ],
      "loanHistory": [
        {"loanProvider": "UNITED BANK FOR AFRICA", "accountNumber": "SF099911020938", "type": "Term Loan", "loanAmount": "1134330", "performanceStatus": "Performing"}
      ],
      "employmentHistory": [
        {"employerName": "ARM INVESTMENT MANAGERS", "address": "1 MEKUNWEN ROAD OYINKAN ABAYOMI ETI OSA", "dateReported": "31-jul-2023"}
      ]
    },
    "searchedDate": "2023-11-23T14:26:42.196Z"
  },
  "message": "CRC Full credit report details retrieved successfully"
}
```

### 400 Bad Request

```json theme={null}
{
  "status": "failed",
  "data": [],
  "message": "Missing required fields"
}
```

### 401 Unauthorized

```json theme={null}
{
  "status": "failed",
  "message": "Authentication credentials were not provided."
}
```


## OpenAPI

````yaml POST /api/onboarding/individual/crc_full/
openapi: 3.0.3
info:
  title: Adhere API
  description: >-
    Identity verification, credit checks, transaction monitoring, and loan fraud
    detection across Africa.
  version: 3.0.0
servers:
  - url: https://adhere-api.smartcomply.com
    description: Production
security:
  - ApiKeyAuth: []
tags:
  - name: Nigeria KYC
  - name: Kenya KYC
  - name: Ghana KYC
  - name: Rwanda KYC
  - name: Uganda KYC
  - name: Document Verification
  - name: Biometrics
  - name: Individual Credit
  - name: Business Credit
  - name: Transaction Monitoring
  - name: Transaction Screening
  - name: Transaction KYC
  - name: Loan Fraud
  - name: User Journey
paths:
  /api/onboarding/individual/crc_full/:
    post:
      tags:
        - Individual Credit
      summary: CRC Full Credit Report
      operationId: crcFull
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - bvn
              properties:
                bvn:
                  type: string
                  example: '22244545518'
      responses:
        '200':
          description: CRC full report retrieved
        '400':
          $ref: '#/components/responses/BadRequest'
        '401':
          $ref: '#/components/responses/Unauthorized'
components:
  responses:
    BadRequest:
      description: Bad Request
      content:
        application/json:
          schema:
            type: object
            properties:
              status:
                type: string
                example: failed
              data:
                type: array
                items: {}
              message:
                type: string
    Unauthorized:
      description: Unauthorized
      content:
        application/json:
          schema:
            type: object
            properties:
              status:
                type: string
                example: failed
              message:
                type: string
                example: Authentication credentials were not provided.
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-access-token
      description: Your Adhere API secret key

````